package kr.co.hanwha.hifive.data.model;

import java.util.ArrayList;

/**
 * Created by aaron on 23/10/2018
 */
public class SearchIntegrationData extends BaseData {

    ArrayList<ProfileData> resultMembers;
    ArrayList<TaskListData> resultTasks;
    ArrayList<ProjectInfoData> resultProjects;

    public ArrayList<ProfileData> getResultMembers() {
        return resultMembers;
    }

    public ArrayList<TaskListData> getResultTasks() {
        return resultTasks;
    }

    public ArrayList<ProjectInfoData> getResultProjects() {
        return resultProjects;
    }

    public boolean isNotEmpty() {
        return (resultMembers != null && resultMembers.size() > 0) || (resultTasks != null && resultTasks.size() > 0) ||
                (resultProjects != null && resultProjects.size() > 0);
    }
}
